ChartDirector Ver 5.0 (PHP Edition)

PyramidChart.setCenterLabel

Usage

setCenterLabel([ template [, font [, fontSize [, fontColor ]]]])

Description

Adds labels to the center of the pyramid layers.
This method affects all pyramid layers. To apply this method to one particular pyramid layer only, use PyramidLayer.setCenterLabel.
See Parameter Substitution and Formatting on available format parameters for the template.
See Font Specification for details on various font attributes.

Arguments

Argument | Default | Description
--- | --- | ---
template | "{skip}" | The label template. "{skip}" means to keep the existing value unchanged.
font | "{skip}" | The font style. "{skip}" means to keep the existing value unchanged.
fontSize | -1 | The font size in points. -1 means to keep the existing value unchanged.
fontColor | -1 | The font color. -1 means to keep the existing value unchanged.

Return Value

A TextBox object representing the prototype of the labels. This may be used to fine-tune the appearance of the labels.

© 2009 Advanced Software Engineering Limited. All rights reserved.